Add document to Porting Request

Submit supporting documents to an existing Porting Request.

Request

Endpoint: /api/number-porting-requests/<number_porting_request_id>/documents
Method: POST
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Multipart Request

                                
    --__X_YOUR_BOUNDARY__
    Content-Disposition: form-data; name="document"; filename="test.txt"
    Content-Type: text/plain

    This is a test text file

    --__X_YOUR_BOUNDARY__
    Content-Disposition: form-data; name="description"

    A supporting file
    --__X_YOUR_BOUNDARY__--
                                
                            

Multipart Parameters

document Description File contents
Type File
description Description A friendly, human readable description of the file.
Type String
Example A supporting file

Response

Example:

                                

    {
        "id": 11,
        "name": "test.txt",
        "mime": "text/plain",
        "extension": "txt",
        "description": "A supporting file",
        "created_at": "2026-01-02 14:12:09",
        "download_url": "https://cloudlx.epsilontel.com/customer-files/11/download"
    }
                                
                            
id Description ID of the document
Type Integer
Example 11
name Description The name of the document
Type String
Example test.txt
mime Description The mime type of the file
Type String
Example text/plain
extension Description The extension type of the file
Type String
Example txt
description Description A description of the file, provided by the uploader.
Type String
Example A supporting file
created_at Description The date the document was uploaded
Type String
Example 2026-01-02 14:12:09

Back to top